Skip to main content
POST
/
skill
Create a NEO skill
curl --request POST \
  --url https://demo.enneo.ai/api/mind/skill \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "slug": "<string>",
  "aiAgentId": 123,
  "description": "<string>",
  "content": "<string>"
}
'
{
  "skill": {
    "id": 123,
    "slug": "<string>",
    "aiAgentId": 123,
    "name": "<string>",
    "description": "<string>",
    "content": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "modifiedAt": "2023-11-07T05:31:56Z"
  },
  "success": true
}

Authorizations

Authorization
string
header
required

JWT-based authentication

Body

application/json
name
string
required
slug
string

Stable cortex reference name. Defaults to a slug of name.

aiAgentId
integer | null

Owning agent (private) or null (shared).

description
string | null
content
string | null

The skill.md markdown body.

Response

Created

skill
object
success
boolean